com.jscape.util.workflow.operators

## Class NumberGreaterOrEqualOperator

- java.lang.Object
- - com.jscape.util.functor.BinaryFunction<java.lang.Object,java.lang.Object,java.lang.Object>
  - - com.jscape.util.workflow.operators.NumberGreaterOrEqualOperator

- All Implemented Interfaces:
    java.io.Serializable

      public class NumberGreaterOrEqualOperator
      extends com.jscape.util.functor.BinaryFunction<java.lang.Object,java.lang.Object,java.lang.Object>

  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberGreaterOrEqualOperator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Object` | `evaluate(java.lang.Object leftArgument, java.lang.Object rightArgument)`
    `static com.jscape.util.Resources` | `getHelp()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberGreaterOrEqualOperator

          public NumberGreaterOrEqualOperator()

  - ### Method Detail

    - #### getHelp

          public static com.jscape.util.Resources getHelp()

    - #### evaluate

          public java.lang.Object evaluate(java.lang.Object leftArgument,
                                           java.lang.Object rightArgument)

      Specified by:
        `evaluate` in class `com.jscape.util.functor.BinaryFunction<java.lang.Object,java.lang.Object,java.lang.Object>`
      Parameters:
        `leftArgument` - first
        `rightArgument` - second
      Returns:
        R instance

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved